openSUSE Security Update : git-annex (openSUSE-2017-986)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update for git-annex fixes the following issues :

- CVE-2017-12976: Disallow hostname starting with a dash,
which would get passed to ssh and be treated an option.
This could be used by an attacker who provides a crafted
repository url to cause the victim to execute arbitrary
code via -oProxyCommand. (boo#1054653).

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=1054653

Solution :

Update the affected git-annex packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 102848 ()

Bugtraq ID:

CVE ID: CVE-2017-12976

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now